package com.flyer.foster.dto;

import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * UserAddDto
 *
 * @author kelei
 * @since 2023/3/24/15:18
 */
@Data
public class UserAddDto {
    @NotBlank(message = "用户名不能为空")
    private String username;

    @NotBlank(message = "密码不能为空")
    private String password;

    private Integer tenantId;

    private Integer roleId;
}
