package com.flyer.foster.pojo;

import lombok.Data;

import java.time.LocalDate;

@Data
public class LzTreeGrowData {

    private Integer id;

    private Integer treeId;

    private Integer imgId;

    private String resFilename;

    private Integer periodId;

    private String resSuolveFilename;

    private LocalDate createDate;

    private Float csqszb = 0.0f;

    private Float nyqszb = 0.0f;

    private Float hyqszb= 0.0f;

    private LocalDate xinShaoDate1;

    private LocalDate xinShaoDate2;

    private LocalDate xinShaoDate3;

    private LocalDate laoShuDate1;

    private LocalDate laoShuDate2;

    private LocalDate laoShuDate3;

    private Integer dongShaoYuJing;

    private Integer baiDianYuJing;

    private Float whitePoint = 0.0f;

    private Float redLeafPercent = 0.0f;

    private Float flowerLength = 0F;

    private Float flowerAmount = 0F;

    private Float flowerLeafPercent = 0.0f;

    /**
     * 花带叶预警
     */
    private Integer huaDaiYeYuJing;

    /**
     * 单果数量
     */
    private Integer danGuoShuLiang;

    /**
     * 双果数量
     */
    private Integer shuangGuoShuLiang;

    /**
     * 病害 毛毡
     */
    private Integer bhMz;

    /**
     * 病害 叶瘿蚊
     */
    private Integer bhYyw;

    /**
     * 病害 炭疽
     */
    private Integer bhTj;

    /**
     * 病害 霜疫霉
     */
    private Integer bhSym;

    /**
     * 病害 裂果
     */
    private Integer bhLg;

    /**
     * 雌花比
     */
    private Float flowerPercent = 0.0f;

    /**
     * 爆花率
     */
    private Float boFlowerPercent = 0.0f;

    /**
     * 小果率
     */
    private Float miniPercent = 0.0f;

    /**
     * 产量（预估值千克）
     */
    private Integer yield = 0;

    /**
     * 自动数据为1 手动更新的为0
     */
    private Boolean isAutoData = false;

    /**
     * 临时附加的字段
     */
    private String code;

}
