package com.flyer.foster.service;

import com.flyer.foster.dto.TreeAddDTO;
import com.flyer.foster.dto.TreeRespDTO;
import com.flyer.foster.entity.Tree;
import com.baomidou.mybatisplus.extension.service.IService;

import java.util.List;

/**
 * <p>
 * 树 服务类
 * </p>
 *
 * @author flyer
 * @since 2024-05-09
 */
public interface ITreeService extends IService<Tree> {

    /**
     * 新增树
     * @param addDTO
     * @return
     */
    Integer addTree(TreeAddDTO addDTO);

    /**
     * 物理删除
     * @param idList
     * @return
     */
    boolean deleteByIdList(List<Integer> idList);

    List<TreeRespDTO> getTreeById(Integer gardenId);
}
