package com.flyer.foster.service.impl;

import com.google.gson.Gson;
import com.qiniu.common.QiniuException;
import com.qiniu.http.Response;
import com.qiniu.storage.Configuration;
import com.qiniu.storage.Region;
import com.qiniu.storage.UploadManager;
import com.qiniu.storage.model.DefaultPutRet;
import com.qiniu.util.Auth;
import org.springframework.stereotype.Service;

@Service
public class QiniuUploadService {
    static String accessKey = "mIKp5GQq1-DF_ORXexDpok4pSa6Xn6LM_OlcH50Y";
    static String secretKey = "9ubgRioyPaLh9Jnec9y1jN4qysRZVvX8TzLiYlHb";
    static String bucket = "birdseye";

    //构造一个带指定 Region 对象的配置类
    Configuration cfg = new Configuration(Region.huanan());
    //...其他参数参考类注释
    UploadManager uploadManager = new UploadManager(cfg);

    public String uploadToken(){
        //默认不指定key的情况下，以文件内容的hash值作为文件名
        Auth auth = Auth.create(accessKey, secretKey);
        //...生成上传凭证，然后准备上传
        String upToken = auth.uploadToken(bucket);
        return upToken;
    }

    public void upload(String upToken,String key, byte[] file){
        try {
            Response response = uploadManager.put(file, key, upToken);
            //解析上传成功的结果
            DefaultPutRet putRet = new Gson().fromJson(response.bodyString(), DefaultPutRet.class);
            System.out.println(Thread.currentThread().getName() + " : " + putRet.key);
        } catch (QiniuException ex) {
            ex.printStackTrace();
        }
    }
}
